


	
	
	
	
	
	
	
	
	
	
	<!--
		P { margin-left: 0.5in; margin-bottom: 0in; font-weight: normal }
		DT { margin-left: 0.39in; font-weight: bold }
	-->
	



DVD Slideshow package
changelog:

0.8.4

	
		dvd-slideshow


''''''New Features:''''''

	Improved encoding speed significantly. (thanks Gary Hunt!)

	Use qscale VBR option in ffmpeg for flv and mp4 output instead of
fixed bitrate.

Logo (-logo) works as general overlay (beta).

Added -threads $cores to ffmepg calls for speed improvement?

Added .ogg mode ( use -ogv ) (not working yet)

Added ipod output ( use -ipod ) (not working yet)

Add quiet output mode -q to reduce output
''''''Bug Fixes:''''''

Use soxi to determine length of .wav audio instead of sox (better
compatibility?)

Fixed chroma subsampling bug when using -mpeg2enc option (cat
terminated by signal 13)

New dvdauthor/spumux &gt; 0.7.0 require explicit NTSC/PAL
declaration

No audio added to .flv files when none is passed by default.

Changed default dvd audio bitrate from 192kbps to 256kbps

Enable subtitle_location_x (was not being passed before)

Fix audio duration for .avi files (untested) (thanks Guy Albertelli)

Fix hms2seconds to allow 0:08:05:345 (seconds and minutes like &quot;08&quot;)
(thanks Guy Albertelli)

Redirect wait errors to log file to reduce errors in long slideshows

Improved kenburns jitter.

Added unset CDPATH to full_path function call (thanks Bob!)

Fixed bug with old version of findutils &lt; 4.2.5

Use du -b so it is independend of env variables (thanks kikoun)

Change sleep 1s to sleep 0.01s for faster machines

Add better help for missing applications and graphicsmagick

Allow escaped &#35; in musictitle slides (use \&#35; to print &#35;)

Added fixes for .avi files (thanks Guy Albertelli)



	
		dvd-menu


''''''Changes:''''''

Fix sox arguments to work with both old and new versions of sox.

Added &quot;unset CDPATH to full_path function.  (Thanks Bob!)

Add explicit PAL or NTSC in .xml files for dvdauthor 0.7.0
Add
totem and VLC playback examples



	
		dir2slideshow


''''''Changes:''''''

Fixes for file counts and uppercase extensions (thanks Eric Baplue)

Allow reading of dvd-slideshowrc file to set variables (thanks Johan
Kunnen)

Reads .avi files for dvd-slideshow (thanks Guy Albertelli)

Add -q (quiet mode) for less output on screen when calling from
another script




0.8.2

	
		dvd-slideshow


''''''New Features:''''''

Error check code BEFORE running full script.

Added -logo &lt;logofile&gt; option to add a logo to each slide.
(does not work with transitions yet)

Added -mpg output for creating alternate-sized mpeg output that does
not conform to dvd standards (very alpha)

Better control over subtitles with new variables subtitle_location_x
and subtitle_location_y. Default x location is 0.

Better handling of very long subtitles. (up to 3 lines and reduced
font size)

No subtitles are rendered during fades.

Log file now uses the slideshow name instead of dvd-slideshow.log
''''''Bug Fixes:''''''

Allow spaces in output files (spaces used to be forced to
underscores).

Removed old &quot;smoothing=0&quot; option in kenburns

Change imagemagick calls with -type TrueColor to -type TrueColorMatte
for latest version

Sox v. &gt; 13 changes -w to -2 and -e to -n (thanks Ludovic)

Allow &quot;widescreen=1&quot; in input file.

Changed &quot;sleep 0.1s&quot; to &quot;sleep 1s&quot; for better
compatibility.

Fixed hms2seconds with leading zeros (thanks Arnd Baecker)

Better (larger) resizing for kenburns in high-quality mode.

Smoother scroll effect in normal mode (fixed rounding error)

Font search follows links. Thanks Jim Potter!

Change LANG=C to LANG=POSIX to try to fix radix problems with printf

Added some code to only process one crossfade in the background at a
time.

Fixed problem with subtitles- last one was not being displayed.

Added &quot;k&quot; to audio bitrate arguments to ffmpeg (thanks
Tony!)

Fixed bug where subtitles would not show in crop and kenburns
effects.

Fixed bug with audio timing when using scroll &amp; kenburns.

removed -size option from crop function because large images were
improperly cropped.

added -M option to mplex calls (for some reason it was removed)

Fix audio when passing an .avi file.

Fixed chapter keyword timing.

Increased mplex bitrate to 9500 from 9000 to fix some possible
encoding bugs.

Fix bug with hms handling times longer than 1 hour. Thanks Michael
Crider



	
		dvd-menu


''''''Changes:''''''

Change imagemagick calls with -type TrueColor to -type TrueColorMatte
for latest version

Sox v. &gt; 13 changes -w to -2 and -e to -n (thanks Ludovic)

Font path follows links. Thanks Jim Potter!

AC3 audio created with ffmpeg needs k added to bitrate

Changed -depth 16 to -depth 8 in background gradient creation.

Fix embedded image help text.

Default layout will switch to two columns of buttons (no embedded
image) if the button

list is long.

Change LANG=C to LANG=POSIX to try to fix radix problems with printf

Add menu fix so &quot;dvd menu&quot; button works on dvd players
(thanks will guaraldi)



	
		dir2slideshow


''''''Changes:''''''

Write out pal option to output file if selected in dir2slideshow

Recursive finds follow symbolic links and ignores hidden directories.

Bug fix for spaces in filenames (thanks Ken Zutter)

Fixed bug where .mp3 files were being treated as images (crossfade
error)

Fixed bug where other file formats would be included in the listing
(thanks Mridul)

Fixed bug where audio files were not included in output.

Allow spaces in output files if spaces is used as filename




0.8.0

	
		dvd-slideshow


''''''New Features:''''''

***NOTE: The slideshow timings of fades will change with this
version!

*Fadein/Fadeout/Crossfade to/from kenburns/scroll effects works now:

( fades happen during movement of effect )Default ffmpeg to no b
frames.

*Now using ffmpeg to encode video. Seems over 2x faster than
mpeg2enc.

Add title and button information to .xml file automatically for
dvd-menu use.

Allow multiple \n in titles (up to 4)

Added variables subtitle_color, subtitle_outline_color, and
subtitle_location

Use variable subtitle_type=render to force subtitles to be rendered
in frames.

Remove option for srt subtitles since we can force render them now.

Updated audio timing to be more accurate for long slideshows

Added kenburns syntax for crop,kb,crop duration

Kenburns has smooth start and end now.

Add option to sharpen images (-sharpen) with ImageMagicks unsharp
mask.

.flv output [alpha] use -flv for now, but his might change

Specify output size other than default with -s 320x240 (alpha)

*Added -border option to add space between image and edge of screen.

*Added &quot;wipe&quot; transition between frames:

wipe:duration:subtitle:[right|left] (soon up|down also)

mp4/aac audio is possible with faad

*Fadein/Fadeout/Crossfade to/from kenburns/scroll effects works now:

( fades happen during movement of effect )

*Adding .avi video inline is possible. See docs. [alpha]

*Initial theme support [beta]

Widescreen (16:9) support using -w [alpha] Not tested yet.

Improved font variables.

kenburns effect is much smoother for slow effects in high-quality
mode. (slower)

Added -vcd and -svcd output options [beta] (lightly tested)

Inline audio processed as background job when specifiying -smp

Audio fadein and fadeout times can be specified in decimals like
0.250

Automatically sets smp option if the current kernel has &quot;smp&quot;
in the name.
''''''Bug Fixes:''''''

Fixed kenburns coordinates when passing numbered coordinates.

Escape brackets in [:blank:] (thanks Christian Molière)

Fixed mismatch in kenburns coordinates due to non-square pixels.
(thanks Tony Sauri)

Manual chapter markers fixed.

Fixed reading of $HOME/.dvd-slideshow/dvd-slideshowrc settings.

Single or double quotes allowed in variable settings.

Got rid of lsof debugging lines. No longer needed.

Fixed bug in seconds2ms that mishandled durations of 0.080 ms (thanks
Eric)

Remove wc --chars calls for compatibility with FreeBSD

Remove seq calls for compatibility with FreeBSD

Add FreeBSD font path so fonts are found.

	
		dvd-menu


''''''Changes:''''''

Added 6image layout option. It can also read the title and icon from

the .xml file output from dvd-slideshow. more testing is needed.

Added many more variables to control the layout of the menu also.

Added -vcd and -svcd modes. Works! tested -vcd a little.

Audio automatically fades in/out for 2 seconds

Reads variables correctly from ~/.dvd-slideshow/dvd-slideshowrc

Updated variables. See dvd-slideshowrc example file

Better control of fonts and variables.

Deletes temp directory when finished.

-nocleanup works

Reads -theme files

Added -fadein and -fadeout for menus.

Remove seq calls for compatibility with FreeBSD (Thanks David
Mulcahy)

Remove wc --chars calls for compatibility with FreeBSD

	
		dir2slideshow


''''''Changes:''''''

Add audiobook option- looks for audio files and images &amp; adds
titles

Allow wipe effect as default between images -w duration

Allow decimals in crossfade duration.

Allow two different subtitles -s or -s2

Add random kenburns effect (-k)

Output file is copied to screen while running

Full paths are specified to images in output .txt file.

Start of themes being implemented. See theme documentation.

Add subtitle options to add path and/or filename. (Thanks Kenneth
Weinert)

Add recursive directory search. -R and -r (Thanks Kenneth Weinert)

Removed seq calls for compatibility with FreeBSD

0.7.5

	
		dvd-slideshow


''''''New Features:''''''

Use &quot;\n&quot; to force line breaks up to two lines in title text
(not titlebar yet).

Fixed code to rotate images. (not that public yet)

Use image.jpg:duration:subtitle:[effect1:effect1_params:]rotate:angle

Configuration variables will be read in sequence now. So you can
configure fontcolors and sizes throughout the input file.

Allow comments in all lines. Everything after &lt;space&gt;&#35; will be
ignored.

Scroll effect is MUCH smoother for slow scrolls in high-quality mode!
(takes 3x longer)

Slideshow name -n is optional now. Defaults to the base name of the
input file.

* Changed old &quot;title&quot; keyword to
&quot;titlebar:duration:toptitle:bottomtitle&quot;

* Added &quot;title:duration:title_text&quot; function where a single
title is rendered in the middle of the screen.

Add check for missing subtitle syntax in crop/scroll/kenburns.

Longer progress bar.

Reads ~/.dvd-slideshowrc in a loop for better debugging and security.
''''''Bug fixes:''''''

Added &quot;+repage&quot; in convert lines after cropping when using
internal .mpc image format.

( Fixes Kenburns and crop errors with ImageMagick &gt; 6.2.2 )

Fixed kenburns problems with black backgrounds.

Fixed &quot;geometry does not contain image&quot; problem with
kenburns effect.

Works for slide or transition duration &gt; 35 seconds now.

Add quotes around yuv fifo to allow for spaces in output directory.

Fixed &quot;squishing&quot; when fading out or crossfading to a
scroll effect.

Fixed problem where audio &quot;fadein&quot; was being rendered as a
subtitle.

Traps bad duration=0 for images and effects.

	
		dvd-menu


Allow embedded .png to keep transparency
Fix error message quotes when looking
for XML file existing.

	
		dir2slideshow


Allow spaces in filenames

0.7.4

	
		dvd-slideshow


''''''Bug fixes:''''''

Changed mpeg2enc process file descriptor from 55 to 3 for
compatibility with bash &gt;= 3.1 (fixes hang at wait for mpeg2enc to
finish)

Echos details to logfile about mpeg2enc process for future debugging.

Output directory gets created if it does not exist.

Fixed bug in kenburns positioning with black background.

Better error messages when no oggdec or lame found.

Fixed error where kenburns intermediate files were not being deleted.

	
		gallery1-to-slideshow


Fixed bug where no pictures were found with new version of gallery
1.5

Fixed bug near line 279 with a missing &quot;fi&quot; statement.



0.7.3

	
		dvd-slideshow


''''''New features:''''''
Fixed Kenburns zoom in adjusted to a
&quot;constant&quot; velocity!
You can include other .txt files by
using a line include:filename.txt in 

your input .txt file. Thanks Thomas
Weber!
User can manually add chapter markers
by using the &quot;chapter&quot; keyword 

alone on one line of the input .txt
file.
Added variable &quot;mpeg2enc_params&quot;
so advanced users can easily change the parameters.
All timing accurate to 0.001 (1 ms)
now.
Added -smp option to process faster
on high-end machines.
Added -writechaps option to write out
chapter markers to &lt;slideshow_name&gt;.chap
''''''Bug fixes:''''''
Fixed bugs causing errors when spaces
were in paths.
Fixed bugs in the audio processing:
error on last audio file.
Changed mpeg2enc -M 3 (use
multiprocessors) to -M 0 because 1.8.0 

was crashing on athlon 64 X2
machines.
Added &quot;-compose src-over&quot;
option to composite calls for compatibility with Debian Etch.
Fixed bug when passing a single audio
file longer than the slideshow.
Removed rpm check for supporting
applications.
Checks for crossfade duration = 0 and
handles it correctly.
Checks that audio and image files
exist while parsing .txt file.
Fixed minor bug where an extra
(non-existant) subtitle was rendered.
Fixed bug when fading in to a first
slide that is a scroll effect.
Subtitle timing bug fixed!
Small fix in displaying total number
of pictures processed
Better logging to logfile.
Fixed ignored line if last line does
not contain a line break.

	
		dvd-menu


** Changed output directory option to be the same as dvd-slideshow
Spaces in filenames should work now.
Checks that xml files exist before
proceeding.
Added option to pass an embedded
image (-e image.jpg). Thanks Marcus Brown
Added &quot;upAction&quot; option for
use with dvd-bakery. Thanks Marcus Brown!
Fixed bug in pal mode variable
passing. (thanks Marcus Brown)
Changed head 4 to head -n 4
Added variable &quot;mpeg2enc_params&quot;
for easier changing of mpeg2enc parameters.
Get rid of rpm checks.
Added low quality mode -L for use
with dvd-slideshow.
Added -nocleanup option to save files
in temp directory for debugging.
Added &quot;-compose src-over&quot;
to all composite lines for compatibility with Debian Etch.
Added -H high-quality option as a
placeholder for future use
Added -smp option as a dummy option
for compatibility with dvd-slideshow

	
		dir2slideshow


Passing -c 0 does not create crossfades.
Added option -notitle
Added option to specify background
color or image -b image.jpg
Fix output of &quot;backgound:0:black&quot;
on first line.
It should read &quot;background:0::black&quot;

	
		gallery1-to-slideshow


Changed name from gallery2slideshow to gallery1-to-slideshow to avoid
confusion... it does not work on
gallery v.2.x albums!
Add -b background image option
Fix for finding all images in album.
Thanks Ivan Espinosa!
Added a few more quotes around
variables to help with spaces in filenames.

	
		
		


0.7.2

	
		dvd-slideshow


Faster Kenburns effect rendering when using black background.
Allow multiple sequential audio files
in input .txt file.
Changed &quot;head -1&quot; to &quot;head
-n 1&quot;
Allow .png and .jpeg extensions.
Allow \n in subtitles to designate
end-of line breakpoints
Checks for required program version
better now.
Fixed ppmtoy4m compatibility error
for compatibility with mjpegtools &gt;= 1.6.3-0.1
Allow &quot;exit&quot; keyword in
.txt file (for easier debugging).
Fixed pixel aspect ratio problem.
(hopefully)
Add option to render subtitles with
spumux and .srt files (beta)
Cleans up old temporary files if they
exist.
Better logfile output. Hopefully
catches program call errors.
Title2 text and bar locations
referenced to bottom of frame for better PAL/NTSC compatibility.
Subtitle stays constant between
slides if they both have the same subtitle (thanks Andre Weilert)
All temporary files are created in a
temporary directory now.
Fixed bug when fading in to a scroll
effect. (remove tab at EOL).
Changed progress display slightly (
counts pictures ).

	
		dvd-menu


Better checking for correct versions of required programs.
Logfile output to dvd-menu.log
Reads default variables from
~/.dvd-slideshowrc
Obeys &quot;autocrop&quot; option
Pixel aspect ratio should be correct
now.

	
		gallery2slideshow


Another fix to allow newlines in gallery comments. These should
correctly get translated into \n characters.
Strips out &lt;a href=””&gt; and
&lt;/a&gt; tags also. 




0.7.1

	
		dvd-slideshow


Added log file output to dvd-slideshow.log
Updated documentation and examples
Background color can now take a
&#35;RRGGBB value
Nicer progress indicator
AC3 audio is now the default. Pass
-mp2 to force MP2 audio.
Autocrop works on background images
now also.
Added code to check for all temporary
fade_xxxx.ppm images before proceeding to encode mpeg video. 

Fadein or crossfade to a scroll
effect works correctly now.

	
		dvd-menu


Automatically creates output directory if it does not exist.
Added option -nomenu if you do not
want to create a menu

	
		dir2slideshow


Now reads the following file extensions in the specified directory: 

.jpg .JPG .jpeg .png .PNG



0.7.0

	
		dvd-slideshow


Default variables can be set in a ${HOME}/.dvd-slideshowrc file
Default variables can be set in the
input .txt file
Crossfade and fadein to kenburns
effect correctly fades to the first frame geometry instead of the
whole image.
New keywords for the start and end
points in kenburns effect:
topleft/middle/middleright etc. See
docs for details.
New keywords for the crop function
also.
9999 audio files possible now. Used
to be a limit of 9
Fixed bug when fading in to a cropped
image.
Removed -R 2 and -c options in
mpeg2enc because some people had problems.
Fixed subtitle timing bug, so now the
subtitles appear and disappear closer to the correct time.
Changed encoded audio bitrate from
224kb/s to 128kb/s
Works with toolame 0.2m beta and 0.2L
now
Got rid of calls to NetPBM functions,
so it is no longer required...
Changed &quot;wc -m&quot; call to &quot;wc
--chars&quot; for better compatibility.
Fixed syntax so spaces should be
allowed in input files now.
Changed &quot;seq 2 1&quot; to &quot;seq
2 -1 1&quot; for better compatibility
Added option to &quot;autocrop&quot;
images (-c) that are close to the output aspect ratio, but not quite.
Title syntax changed... (see
documentation)
Fadein/crossfade to a title or
background slide works now.
Fadein/fadeout/crossfade works when
previous/next slide is not actually an image/title/background. The
next real slide will be used instead.
Fixed bug in Low quality mode (-L)
(extracopies bug)

	
		dvd-menu


Added option -iso option to create the iso image

	
		gallery2slideshow


Fix to not show hidden pictures for gallery v1.4.3-pl1
( thanks Frederic! )
Fixed bug when passing html links in
subtitle field
dvd-slideshow supports duration in
fractional seconds.
Allow for &quot;.&quot; as the album
path



0.6.0

	
		dvd-slideshow


Fixed major bug/error when generating long slideshows.
Now all video gets piped in YUV fomat
through mpeg2enc
in one single block. (fix by Mike
Beller. Thanks!)
Added option to generate AC3 audio
files (requires ffmpeg &gt; 0.4.8)
Fixed title slide when using -L (low
quality mode)
Allow for slide durations to be
specified in hundreths of a second: 5.23
Reports total audio and video lengths
at the beginning of the code.
Fixed bug when using subtitles. (no
subtitles were generated)
Changed output files to be .vob
extension instead of .mpg
Better font searching (thanks Jim
Crumley)
Use backslash to escape a colon in
subtitles (thanks Jim Crumley)
Allow avi input files. pre-alpha
support. (thanks Jim Crumley)

	
		dvd-menu


Added AC3 audio option (requires ffmpeg &gt; 0.4.8).
Mplexed files are now correctly
labeled with the .vob extension.
Better font searching (thanks Jim
Crumley)



0.5.4

	
		dvd-slideshow


Added option to re-define background image from text file input.
Code cleanup (slightly)
Added support for two audio tracks.
Added audio effects: fadein/fadeout
Default command-line audio
fadein/fadeout time is 3 seconds.

	
		dir2slideshow


New! Creates an dvd-slideshow input file from a directory of
pictures.


Updated man pages for dir2slideshow,
gallery2slideshow, and jigl2slideshow.



0.5.2

	
		dvd-slideshow


Fixed bug in musictitle Title info parsing.
Checks to make sure a slidshow name
is passed.
Added low-quality mode (-L) for
testing. Speeds things up about 4x.
Reduced verbosity.
Checks for required fonts. Subtitles
look much better now.
Word-wraps long subtitle lines into
two lines.

	
		dvd-menu


Fixed audio bug when no audio was used. (re-mplex error)
Added -c continuous play option
(&lt;post&gt; jumps to next title).
Added -D do not run dvdauthor option.
Added -W do not create a 50% white
background under menu text.
dvdauthor xml structure changed
slightly
DVD Title (-n) is now optional.
Added man page.
Checks for nice fonts and uses them
if available.


Added install.sh script to install
man pages along with dvd-slideshow and dvd-menu.



0.5.0

	
		dvd-slideshow


Added KenBurns effect! See docs for usage.
Added scroll effect! See docs for
usage.
Added crop effect. See docs for
usage.
Audio can be started and stoped for
multiple files within the text file. See docs for usage.
Added &quot;musictitle&quot; option
for displaying audio info.
You can now comment out lines in the
textfile by using the &#35; character.
Also ignores blank lines in textfile.
Fades can now have up to 9999 frames.
Total slides can now be 9999. You
guys are crazy.
fixed small bug when no chapters are
specified.
Chapter markers are now rounded up to
the next full second due to a bug in some versions of dvdauthor.
Only checks for oggdec or lame if you
pass an ogg or mp3 file.
Changed syntax of command line input
for files and audio.
Passing images on the command line is
no longer public. Use the text file in put instead.
Fixed audio problem with some mp3
files getting pops in them.

	
		'''dvd-menu'''


Changed name to dvd-menu from dvd-mainmenu
Only requires lame or oggdec if
you're passing a mp3 or ogg file.
Fixed some audio bugs (sampling) so
it should work better.
Will automatically delete AUDIO_TS
and VIDEO_TS directories in your output directory if they already
exist.

	
		gallery2slideshow


Added option (-c duration) to put a crossfade for duration seconds
between every picture.
Added default fadeout after title
slide.



0.4.8

	
		dvd-slideshow


0.4.8 Changed audio to process raw (headerless) audio files before
joining them.
Fixed bug when passing multiple audio
files (again).
Fixed audio fadein/fadeout time to 1
second
Fixed bug in audio where it plays to
fast when burned on dvd.
Checks to make sure audio files exist
before processing.



0.4.6

	
		'''dvd-slideshow'''


0.4.6 Fixed bug when passing multiple audio files. (thanks Scott
Merrill)
Removed -t option from toolame
command for better support for old versions.



	
		dvd-mainmenu


0.4.6 Fixed bug when checking for toolame (thanks Scott Merrill)
Removed -t option from toolame for
better compatibility with old versions.



0.4.4

	
		'''dvd-slideshow'''


0.4.4 Only writes chapter markers when there is a picture or title
First chapter marker is now fixed at
time 0
Max number of chapter markers is now
99 (thanks Jens Gecius)
Fixed bug when checking for toolame
(thanks Jens Gecius)
Added &quot;crossfade&quot; option!
Will use mpeg3cat from libmpeg3 to
join mpegs if available.
Small fix to allow semicolons in
subtitles (thanks Jim Crumley)
Added -s option to mpeg2enc calls for
(maybe?) better compatibility.



	
		gallery2slideshow


0.4 Added fadein before first picture and fadeout at the end



	
		'''jigl2slideshow'''


0.3 Added default fade in at beginning and out at end

0.4.2

	
		dvd-slideshow


0.4.2 Current working directory will be used if -o not specified.
Allow &quot;background&quot; keyword
in text file to insert background.
Make sure all ImageMagick calls have
-depth 8 to make ppmtoy4m happy.
No font is specified in ImageMagick
calls, so it should use the default.
Changed default menu to a steelblue
gradient when no image is passed.



	
		dvd-mainmenu


0.4.2 Changed location of main title slightly lower.
Fixed one hardcoded 720x480 image so
PAL option should work better.
Added -depth 8 to ImageMagick calls
to fix ppmtoy4m errors.
Upgraded main menu background when no
background is passed.

0.4

	
		dvd-slideshow


0.4 Fixed bug when no background specified (again).
Added error checking to make sure
image files exist.
Ogg audio format supported (you must
have oggdec).
Uses toolame for mp2 audio encoding
when available.
Audio timing improved.
Fixed bug when double-quotes were in
subtitle.
Added black, fadein, and fadeout
options in txtfile!
-p (PAL format option) added. Not
tested, but should work.



	
		dvd-mainmenu


0.4 Added support for ogg and wav audio tracks
Fixed bug when no background
specified.
-p (PAL format option) added. Not
tested, but should work.
White background behind buttons is
now 50% transparency so it looks better.

0.3

	
		dvd-slideshow


0.3 Fixed error when no background specified. Now default is
blackAdded checking for required programs before running.



	
		dvd-mainmenu


0.3 Added section to check for required programs
If no background passed, a black one
will be used.
gallery2slideshow
0.3 Added extra file checking before
processing for better stability from Scott Merrill &lt;skippy at
skippy.net&gt; Thanks!!!
jigl2slideshow
0.2 Fixed minor bug when checking for
output directory
0.1 Initial release (contributed by
Scott Merrill &lt;skippy at skippy.net&gt; )

0.2

	
		'''dvd-slideshow'''


0.2 Initial release
dvd-mainmenu
0.2 Initial release
gallery2slideshow
0.2 Initial release

